Runtime

## org.eclipse.gmf.runtime.emf.core.resources
Class AbortResourceLoadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.gmf.runtime.emf.core.resources.AbortResourceLoadException

All Implemented Interfaces:
  java.io.Serializable

public class AbortResourceLoadException
extends java.lang.RuntimeException

This exception is intended to be thrown during Resource load when an error occurs. This RuntimeException wrapper is required in order to abort loading at any time.

See Also:
  Serialized Form

Constructor Summary
`AbortResourceLoadException()` Initializes me without any details.
`AbortResourceLoadException(java.lang.String message)` Initializes me with a useful message.
`AbortResourceLoadException(java.lang.Throwable cause)` Initializes me with a cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbortResourceLoadException

    public AbortResourceLoadException()

  Initializes me without any details.

### AbortResourceLoadException

    public AbortResourceLoadException(java.lang.String message)

  Initializes me with a useful message.

Parameters:
  `message` - a message

### AbortResourceLoadException

    public AbortResourceLoadException(java.lang.Throwable cause)

  Initializes me with a cause.

Parameters:
  `cause` - the cause of this exception.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.